/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.ee.mock;

import java.util.Enumeration;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;

public class MockHttpSession implements HttpSession {

	public long getCreationTime() {

		return 0;
	}

	public String getId() {

		return null;
	}

	public long getLastAccessedTime() {

		return 0;
	}

	public ServletContext getServletContext() {

		return null;
	}

	public void setMaxInactiveInterval(final int arg0) {

	}

	public int getMaxInactiveInterval() {

		return 0;
	}

	@SuppressWarnings("deprecation")
	public javax.servlet.http.HttpSessionContext getSessionContext() {

		return null;
	}

	public Object getAttribute(final String arg0) {

		return null;
	}

	public Object getValue(final String arg0) {

		return null;
	}

	public Enumeration getAttributeNames() {

		return null;
	}

	public String[] getValueNames() {

		return null;
	}

	public void setAttribute(final String arg0, final Object arg1) {

	}

	public void putValue(final String arg0, final Object arg1) {

	}

	public void removeAttribute(final String arg0) {

	}

	public void removeValue(final String arg0) {

	}

	public void invalidate() {

	}

	public boolean isNew() {

		return false;
	}

}
